Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util.dom
Class EntityFixer

    java.lang.Object
      com.beasys.commerce.util.dom.EntityFixer

Deprecated

    @Deprecated
    public class EntityFixer

extends Object

A utility class for replacing standard XML entities with their character values.

Field Summary
`protected static String[][]` | `defReplaceEntities` Deprecated Default XML/HTML entities that represent special character sequences.
`protected Hashtable` | `entities` Deprecated Our character to entity mapping.
`protected static EntityFixer` | `instance` Deprecated The singleton EntityFixer.

Constructor Summary
`EntityFixer()` Deprecated Constructor.

Method Summary
`String` | `addEntityMapping(String chars, String value)` Deprecated Add a characters to value mapping (i.e.
`String` | `fixEntities(String in)` Deprecated
`String` | `getEntityMapping(String chars)` Deprecated Retrive the a current entity mapping.
`static EntityFixer` | `getInstance()` Deprecated Get the singleton instance.
`String` | `removeEntityMapping(String chars)` Deprecated Remove an entity mapping.
`static String` | `replace(String inStr, String find, String replace)` Deprecated Use `StringUtils`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    protected static EntityFixer instance

  Deprecated
  The singleton EntityFixer.

### defReplaceEntities

    protected static final String[][] defReplaceEntities

  Deprecated
  Default XML/HTML entities that represent special character sequences.

### entities

    protected Hashtable entities

  Deprecated
  Our character to entity mapping.

Constructor Detail

### EntityFixer

    public EntityFixer()

  Deprecated
  Constructor.

  This will initialize the entity mapping with the default values.

Method Detail

### addEntityMapping

    public String addEntityMapping(String chars,
                                   String value)

  Deprecated
  Add a characters to value mapping (i.e. "%" -> "&pect;")

  Parameters
    `chars` - the characters ("%").
    `value` - the string to replace chars with ("&pect;").
  Returns
    the previous value, or null if none.
  Throws
    `IllegalArgumentException` - thrown if chars is "&".

### removeEntityMapping

    public String removeEntityMapping(String chars)

  Deprecated
  Remove an entity mapping.

### getEntityMapping

    public String getEntityMapping(String chars)

  Deprecated
  Retrive the a current entity mapping.

### fixEntities

    public String fixEntities(String in)

  Deprecated

### replace

    public static String replace(String inStr,
                                 String find,
                                 String replace)

  Deprecated Use `StringUtils`

  String search and replace method.

### getInstance

    public static EntityFixer getInstance()

  Deprecated
  Get the singleton instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.